import type { _NSButton } from "../AppKit/NSButton.js";
import type { _INUIAddVoiceShortcutButtonDelegate } from "./INUIAddVoiceShortcutButtonDelegate.js";
import type { _INShortcut } from "../Intents/INShortcut.js";
import type { INUIAddVoiceShortcutButtonStyle } from "./INUIAddVoiceShortcutButtonStyle.js";
export declare class _INUIAddVoiceShortcutButton extends _NSButton {
    static alloc(): _INUIAddVoiceShortcutButton;
    static new(): _INUIAddVoiceShortcutButton;
    init(): _INUIAddVoiceShortcutButton;
    initWithStyle$(style: INUIAddVoiceShortcutButtonStyle): _INUIAddVoiceShortcutButton;
    style(): INUIAddVoiceShortcutButtonStyle;
    setStyle$(value: INUIAddVoiceShortcutButtonStyle): void;
    delegate(): _INUIAddVoiceShortcutButtonDelegate | null;
    setDelegate$(value: _INUIAddVoiceShortcutButtonDelegate | null): void;
    shortcut(): _INShortcut | null;
    setShortcut$(value: _INShortcut | null): void;
    /**
     * @abstract A custom corner radius for the @c INUIAddVoiceShortcutButton. @discussion If the provided corner radius is greater than half of the button’s height, it will be capped at half of the button’s height.
     */
    cornerRadius(): number;
    setCornerRadius$(value: number): void;
}
